# dmxsigio.c File Reference

`#include "inputstr.h"`
`#include "dmxinputinit.h"`
`#include "dmxsigio.h"`
`#include "dmxevents.h"`
`#include <signal.h>`
`#include <unistd.h>`
`#include <sys/fcntl.h>`

## Functions

void | dmxSigioBlock (void)
void | dmxSigioUnblock (void)
void | dmxSigioEnableInput (void)
void | dmxSigioDisableInput (void)
void | dmxSigioRegister (DMXInputInfo *dmxInput, int fd)
void | dmxSigioUnregister (DMXInputInfo *dmxInput)

## Detailed Description

Provides an interface for handling SIGIO signals for input devices.

## Function Documentation

void dmxSigioBlock | ( | void |  | ) |

| Block SIGIO handling.

void dmxSigioDisableInput | ( | void |  | ) |

| Disable SIGIO handling. This removes the hanlder from the OS.

void dmxSigioEnableInput | ( | void |  | ) |

| Enable SIGIO handling. This instantiates the handler with the OS.

void dmxSigioRegister | ( | DMXInputInfo * | dmxInput,
|  | int | fd
| ) |

| Make a note that the input device described in dmxInput will be using the file descriptor fd for SIGIO signals. Calls AddEnabledDevice ifi SIGIO handling has been enabled with dmxSigioEnableInput().

void dmxSigioUnblock | ( | void |  | ) |

| Unblock SIGIO handling.

void dmxSigioUnregister | ( | DMXInputInfo * | dmxInput | ) |

| Remove the notes that dmxInput is using any file descriptors for SIGIO signals. Calls RemoveEnabledDevice.

Generated June 29, 2004 for Distributed Multihead X by doxygen 1.3.4. </addres>